VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Deskew Demo"
   ClientHeight    =   2190
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4590
   LinkTopic       =   "Form1"
   ScaleHeight     =   2190
   ScaleWidth      =   4590
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox CheckInterpolation 
      Caption         =   "Interpolation"
      Height          =   255
      Left            =   360
      TabIndex        =   2
      Top             =   600
      Width           =   2295
   End
   Begin VB.CheckBox CheckFillWhite 
      Caption         =   "Fill White"
      Height          =   195
      Left            =   360
      TabIndex        =   1
      Top             =   240
      Value           =   1  'Checked
      Width           =   2415
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Copy image from clipboard and Deskew it !"
      Height          =   615
      Left            =   360
      TabIndex        =   0
      Top             =   1080
      Width           =   3855
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Command1_Click()

' Declare some variables
Dim Session, DIBHandle As Long
Dim Angle As Double

' If there's a DIB on the clipboard, get it
 If Clipboard.GetFormat(vbCFDIB) Then
   OpenClipboard (hwnd)
   DIBHandle = GetClipboardData(vbCFDIB)
   
 
  ' open the session
  Session = DESKEW_Init("demo", "demo")

  ' Find the skew angle in the range -5/+5 with 0.25 accuracy, auto-calculating the best step (-1)
  Angle = DESKEW_Detect(Session, DIBHandle, 5, 0.25, -1, 7)

  ' Check if the image need deskewing
  If Angle <> 0 Then
           
    ' correct the skew
    DESKEW_Correct Session, DIBHandle, Angle, CheckFillWhite.Value, CheckInterpolation.Value, 0
    
    ' re-copy the deskewed image in clipboard
    dummy = EmptyClipboard
    dummy = SetClipboardData(vbCFDIB, DIBHandle)
    
    ' Show the info on angle
    MsgBox ("Image deskewed for  " & Angle & " degrees is available in clipboard !")
            
  Else
   MsgBox ("Image don't need deskewing !")
  End If

  ' close the session
  DESKEW_Done (Session)
  
  CloseClipboard

 Else
  MsgBox ("No BMP available in clipboard !")
 End If

End Sub
